Page MenuHomePhabricator

Submitting page with image from bad image list causes text to disappear
Closed, ResolvedPublic

Description

Steps to reproduce:

  1. Upload image
  2. Put its name onto bad image list
  3. Create any page with random text and wikimarkup except for [[]] link markup
  4. Put the image anywhere onto that page and save (*)

(repeat with random position of the image)

  1. Add the link (existing or non, doesn't matter) wherever in page after the image
  2. Save (*)

(repeat with random position of the image)

Check the page rendering according to the source after steps marked with asterisk

Besides it lets you to save the page without any message or warning (see bug 16038) it hides the entire text regardless the wikimarkup until the very first link

Test case:
http://test.wikipedia.org/wiki/User:Danny_B./Bugs/Bad_image_list
(see the source of that page)


Version: 1.14.x
Severity: major
URL: http://test.wikipedia.org/wiki/User:Danny_B./Bugs/Bad_image_list

Details

Reference
bz16039

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 21 2014, 10:21 PM
bzimport set Reference to bz16039.
bzimport added a subscriber: Unknown Object (MLST).
Danny_B created this task.Oct 19 2008, 5:56 PM
aaron added a comment.Dec 28 2008, 9:50 PM

With no wikimarkup except for the image, it also hides everything after the image. Is this intentional?

matthew.britton wrote:

(In reply to comment #1)

With no wikimarkup except for the image, it also hides everything after the
image. Is this intentional?

Pretty sure it isn't, it never used to do this.

Fixed in r61749

*** Bug 22443 has been marked as a duplicate of this bug. ***

721tx wrote:

It still not fixed in zh.wikipedia.org

(In reply to comment #6)

It still not fixed in zh.wikipedia.org

The fix is not live yet.

721tx wrote:

(In reply to comment #7)

(In reply to comment #6)

It still not fixed in zh.wikipedia.org

The fix is not live yet.

It is still live in [http://zh.wikipedia.org/wiki/User:爱学习的饭桶/SB]

(In reply to comment #8)

(In reply to comment #7)

(In reply to comment #6)

It still not fixed in zh.wikipedia.org

The fix is not live yet.

It is still live in [http://zh.wikipedia.org/wiki/User:爱学习的饭桶/SB]

He meant the fix was not deployed on Wikimedia servers yet.